Bug #8317

Parse Error in FLOW3 script with PHP < 5.3

Added by Bastian Waidelich over 11 years ago. Updated about 11 years ago.

Status:
Resolved
Priority:
Should have
Category:
Core
Start date:
2010-09-26
Due date:
% Done:

100%

Estimated time:
1.00 h
PHP Version:
Has patch:
Complexity:

Description

When calling php Packages\Framework\FLOW3\Scripts\FLOW3.php with PHP 5.2.x I'm getting a parse error.

$className = '\F3\FLOW3\Core\Bootstrap';
$className::defineConstants();

should have been the workaround to prevent the parser from dying with a parse error. But the second line throws
Parse error: parse error in Packages\Framework\FLOW3\Scripts\FLOW3.php on line 38

on my windows machine with PHP 5.2.10-dev

Also available in: Atom PDF